using Edu.Common.Plugin;

namespace Edu.Common.Enum.User
{
    /// <summary>
    /// 账号类型
    /// </summary>
    public enum AccountTypeEnum
    {
        /// <summary>
        /// 管理端
        /// </summary>
        [EnumField("管理端")]
        Admin = 1,

        /// <summary>
        /// 教师端
        /// </summary>
        [EnumField("教师端")]
        Teacher = 2,

        /// <summary>
        /// 助教
        /// </summary>
        [EnumField("助教")]
        Assist = 3,

        /// <summary>
        /// 学生
        /// </summary>
        [EnumField("学生")]
        Student = 4,
    }
}
